View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000549aMuleMulti Platformpublic2005-08-29 07:322005-10-24 11:11
ReporterJacobo221 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionopen 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version 
Summary0000549: Windows: aMule crashes on every start because of failure on amuleDlg's SetSize()
DescriptionIn amule.conf, [Razor_Preferences]/MAIN_X_SIZE= can only be set to 0 or left blank. Any other value will make aMule crash at startup.

Since aMule sets this item to a non-0 value every time it is closed, it is only runnable the first time it is executed (because there is no amule.conf yet :))

The problem is SetSize(), it crash. The reason why it won't crash when using 0 or left blank (which defaults to 0) is that the code does something like:

if (x > 0 && y > 0) SetSize(x,y);

So, when it's 0, it doesn't use SetSize().

The code is at src/amuleDlg.cpp
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships
duplicate of 0000420resolvedGonoszTopi Crashes in Windows at startup. 

-  Notes
(0001254)
Jacobo221 (updater)
2005-08-29 10:19

I've been testing and the only values that seem not to crash it are (800,600) (my desktop resolution is 1024x768, but as far as I can tell, this doesn't matter)
(0001258)
Jacobo221 (updater)
2005-08-29 16:02

http://bugs.amule.org/view.php?id=420 [^] is a duplicate of this bug
(0001259)
Kry (manager)
2005-08-31 21:19

Works perfect on any resolution here.
(0001345)
Xaignar (manager)
2005-10-24 11:11

Closing since it's a dup.

- Issue History
Date Modified Username Field Change
2005-08-29 07:32 Jacobo221 New Issue
2005-08-29 10:19 Jacobo221 Note Added: 0001254
2005-08-29 10:21 Jacobo221 Product Version 2.0.3 => CVS
2005-08-29 16:02 Jacobo221 Note Added: 0001258
2005-08-30 20:31 GonoszTopi Relationship added duplicate of 0000420
2005-08-31 21:19 Kry Note Added: 0001259
2005-10-24 11:11 Xaignar Status new => closed
2005-10-24 11:11 Xaignar Note Added: 0001345


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker